import * as shared from './shared.js';

import { LitElement, html, css, type TemplateResult } from 'lit';
import { customElement } from 'lit/decorators.js';
import { property } from 'lit/decorators/property.js';

@customElement('consentsoftware-header')
export class ConsentsoftwareHeader extends LitElement {
  public static demo = () => html`<consentsoftware-tabs></consentsoftware-tabs>`;

  public static styles = css`
    :host {
      display: block;
      line-height: 3em;
      text-align: center;
      font-family: ${shared.fontStack};
      border-bottom: 1px dotted rgba(255, 255, 255, 0.1);
    }

    .heading {
      
    }
  `;

  constructor() {
    super();
  }

  public render(): TemplateResult {
    return html`
      <div class="heading">
        What about cookies?
      </div>
    `;
  }
}